<?php
/**
 * Php-Gtk MySQL administrator - Main application view
 *
 * @license CeCILL 2.0
 * @copyright 2008 Ouest  Systemes Informatiques
 * @author Frederic G. MARAND
 * @version $Id: Pgma_View.php,v 1.1 2008-05-23 09:42:27 cvs Exp $
 */

/**
 * Main application view
 */
class Pgma_View extends Glade_Window 
  {
  /**
   * The application model (config file)
   * @see Pgma_Model
   * @var array
   */
  protected $model;
  
  /**
   * @var GtkFrame
   */
  public $activeDetailView;

  /**
   * Load the view fixed structure, then reload session info
   * 
   * @return void
   */
  public function __construct()
    {
    parent::__construct('winPgma'); // not the standard top-level name
    $this->model = new Pgma_Model(); // load configuration info
    }
  }